Loading...
Searching...
No Matches
tiny_dnn::core::backend Class Referenceabstract
Inheritance diagram for tiny_dnn::core::backend:
[legend]
Collaboration diagram for tiny_dnn::core::backend:
[legend]

## Public Member Functions

| backend (context *ctx_=nullptr)
virtual void | conv2d (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | conv2d_q (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | conv2d_eq (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | conv2d (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
virtual void | conv2d_q (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
virtual void | deconv2d (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | deconv2d_q (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | deconv2d_eq (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | deconv2d (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
virtual void | deconv2d_q (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
virtual void | maxpool (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | maxpool (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
virtual void | fully (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | fully_q (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | fully_eq (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)=0
virtual void | fully (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
virtual void | fully_q (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)=0
context * | get_context () const
void | set_layer (layerptr_t layer)
virtual backend_t | type () const =0

## Protected Attributes

context * | ctx_
layerptr_t | layer_

## Member Function Documentation

## maxpool()

virtual void tiny_dnn::core::backend::maxpool | ( | const std::vector< tensor_t * > & | in_data,
|  | std::vector< tensor_t * > & | out_data
| ) |  |

pure virtual

Implemented in tiny_dnn::core::nnp_backend.

The documentation for this class was generated from the following file:

- tiny_dnn/core/backend.h